Summary: HardWare LiSter
Name:	 lshw
Version: B.02.14
Release: 2.1
Vendor:	 Lyonel Vincent <vincentl@ec-lyon.fr>
Packager: Carsten Schoene <cs@linux-administrator.com>
Source:	 %{name}-%{version}.tar.gz
Patch0:  lshw-malloc.diff
Patch1:	 lshw-gcc45.diff
URL:	 http://ezix.org/project/wiki/HardwareLiSter
License: GPL
Group:	 Applications/System
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel gcc-c++ pkgconfig glibc-devel libgcc gcc

%description
lshw (Hardware Lister) is a small tool to provide detailed informaton 
on the hardware configuration of the machine. It can report 
exact memory configuration, firmware version, mainboard configuration, 
CPU version and speed, cache configuration, bus speed, etc. 
On DMI-capable x86 systems and on some PowerPC 
machines (PowerMac G4 is known to work).

Information can be output in plain text, XML or HTML.

For detailed information on lshw features and usage, please see the
included documentation or go to the lshw Web page,
http://www.ezix.org/software/lshw.html


%if 0%{?sles_version} != 9

%package gui
Summary: HardWare LiSter (GUI version)
Group: Applications/System
Requires: %{name}
Requires: gtk2
BuildRequires: gtk2-devel

%endif

%if 0%{?sles_version} != 9

%description gui
lshw (Hardware Lister) is a small tool to provide detailed informaton on the hardware configuration of the machine. It can report exact memory configuration, firmware version, mainboard configura
tion, CPU version and speed, cache configuration, bus speed, etc. on DMI-capable x86 systems and on some PowerPC machines (PowerMac G4 is known to work).

This package provides a graphical user interface to display hardware information.

For detailed information on lshw features and usage, please see the
included documentation or go to the lshw Web page,
http://www.ezix.org/software/lshw.html

%endif


%prep
%setup
%patch0
%patch1

%build
%{__make}

%if 0%{?sles_version} != 9
%{__make} gui
%endif

%install
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix SBINDIR=%_sbindir MANDIR=%_mandir install

%if 0%{?sles_version} != 9
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix SBINDIR=%_sbindir MANDIR=%_mandir install-gui
%endif

%files
%defattr(-,root,root)
%doc COPYING
%defattr(-,root,root)
%attr(555,bin,bin) %_sbindir/lshw
%_mandir/man?/*
%{_datadir}/lshw/
%config(noreplace) /usr/share/lshw/pci.ids
%config(noreplace) /usr/share/lshw/manuf.txt
%config(noreplace) /usr/share/lshw/oui.txt
%config(noreplace) /usr/share/lshw/usb.ids

%if 0%{?sles_version} != 9
%files gui
%defattr(-,root,root)
%doc COPYING
%attr(555,bin,bin) %_sbindir/gtk-lshw
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 18 2010 Carsten Schoene <cs@linux-administrator.com> - B.02.14-2
- added gcc 4.5 patch

* Sat Feb 14 2009 Carsten Schoene <cs@linux-administrator.com> - B.02.14-1
- version bump to B.02.14

* Mon May 12 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.13
* Mon Oct 15 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.12.01
* Sat Oct 13 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.12
* Wed Aug 22 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.11.01
* Fri Jun 15 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.10
* Mon Dec 25 2006 Carsten Scheone <cs@linux-administrator.com>
- version bump to B.02.09
* Wed Oct 19 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.06 for SuSE 10.0
* Sat Jul 23 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.05.01
* Wed Jul 20 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.05
* Thu Apr 28 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.04
* Sat Apr 09 2005 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE9.3
* Fri Feb 04 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.03
* Fri Jan 21 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.02
* Wed Dec 22 2004 Carsten Schoene <cs@linux-administrator.com>
- version bump to B.02.00
* Thu Dec 16 2004 Carsten Schoene <cs@linux-administrator.com>
- version bump to A.01.09
* Wed Oct 27 2004 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 9.2
